KSTARS(1)

NAME
kstars - a desktop planetarium for KDE

SYNOPSIS
kstars [ generic-options ]
kstars --dump [ --filename image-file ] [ --height pixels ] [ --width pixels ] [ --script script-file ]

DESCRIPTION
KStars is a graphical desktop planetarium for KDE. It depicts an accurate simulation of the night sky, including stars, constellations, star clusters, nebulae, galaxies, all planets, the Sun, the Moon, comets and asteroids. You can see the sky as it appears from any location on Earth, on any date.

The user interface is highly intuitive and flexible. The display can be panned and zoomed with the mouse, and you can easily identify objects and track their motion across the sky. KStars includes many powerful features, yet the interface is clean and simple and fun to use.

Normally KStars launches a full graphical user interface. By passing the --dump option, you can make KStars dump an image of the sky to a graphics file and exit immediately without launching a graphical user interface at all. Several other options are available to control precisely how this image is dumped.

This package is part of the official KDE edutainment module.

OPTIONS
Below are the kstars-specific options. For a full summary of options, run kstars --help.

--dump
    Dumps the sky image to a graphics file and exits immediately. Several other options (described below) are available to control precisely how the image is dumped.

--filename image-file
    Dumps the sky image to the given file (default is kstars.png).

--height pixels
    Specifies the height of the sky image to dump (default is 480).

--script script-file
    Specifies a DCOP script to run before the sky image is dumped. The script can be used to set where the image is pointing, set the geographic location, set the time and date, change the zoom level, and adjust other view options.
    KStars includes a script builder (found in the Tools menu) to help with writing DCOP scripts. The full user documentation (discussed below) contains a more detailed explanation of how such scripts can be written and used.

--width pixels
    Specifies the width of the sky image to dump (default is 640). This option is used to control the behavior of --dump.

SEE ALSO
Full user documentation is available through the KDE Help Centre. You can also enter the URL help:/kstars/ directly into konqueror or you can run `khelpcenter help:/kstars/' from the command-line.

If the KDE Help Centre is not installed then you can install the package kdeedu-doc-html and read this documentation in HTML format from /usr/share/doc/kde/HTML/en/kstars/.

AUTHOR
KStars was written by Jason Harris <jharris@30doradus.org>, Heiko Evermann <heiko@evermann.de>, Thomas Kabelmann <tk78@gmx.de>, Mark Hollomon <mhh@mindspring.com>, Pablo de Vicente <pvicentea@wanadoo.es>, Jasem Mutlaq <mutlaqja@ku.edu>, Carsten Niehaus <cniehaus@gmx.de>, Vincent Jagot <vincent.jagot@free.fr> and Martin Piskernig <martin.piskernig@stuwo.at>.
This manual page was prepared by Ben Burton <bab@debian.org> for the Debian GNU/Linux system (but may be used by others).